- Main Page
- Modules
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# FormattingInfo Class Reference

Inherits ObjectImpl.

List of all members.

## Detailed Description

Modifies the output of a pattern converter for a specified minimum and maximum width and alignment.

## Public Member Functions
| FormattingInfo (const bool leftAlign, const int minLength, const int maxLength)
| Creates new instance.
bool | isLeftAligned () const
| Determine if left aligned.
int | getMinLength () const
| Get minimum length.
int | getMaxLength () const
| Get maximum length.
void | format (const int fieldStart, LogString &buffer) const
| Adjust the content of the buffer based on the specified lengths and alignment.
## Static Public Member Functions
static FormattingInfoPtr | getDefault ()
| Gets default instance.

## Constructor & Destructor Documentation

FormattingInfo | ( | const bool | leftAlign,
|  | const int | minLength,
|  | const int | maxLength
| ) |

  | Creates new instance. Parameters:
  | leftAlign | left align if true.
  | minLength | minimum length.
  | maxLength | maximum length.

## Member Function Documentation

void format | ( | const int | fieldStart,
|  | LogString & | buffer
| ) | const

  | Adjust the content of the buffer based on the specified lengths and alignment. Parameters:
  | fieldStart | start of field in buffer.
  | buffer | buffer to be modified.

static FormattingInfoPtr getDefault | ( |  | ) | `[static]`

| Gets default instance. Returns: default instance.

int getMaxLength | ( |  | ) | const`[inline]`

| Get maximum length. Returns: maximum length.

int getMinLength | ( |  | ) | const`[inline]`

| Get minimum length. Returns: minimum length.

bool isLeftAligned | ( |  | ) | const`[inline]`

| Determine if left aligned. Returns: true if left aligned.

The documentation for this class was generated from the following file:

- formattinginfo.h